package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * 对应数据库表(operating_report_cloud):用于记录云教练缴费，相关课程和云教练预收
 */
public class OperatingReportCloud {

	/**  */
	private Integer id;
	
	/** 分部编号 */
	private Integer organId;
	
	/** 缴费项目编号 */
	private Long calenderId;

	//是否是当月全部结转(欠费或者进行中加学员都在当月全部结转)
	private Boolean monthFlag = false;
	
	/** 云教练预收开始计费时间(该字段只会再结算经营报表的时候去更新，因为课程会不断调整，结算的时候取缴费项目关联的课程的第一节课的日期) */
	private java.util.Date startDate;
	
	/** 云教练预收截止计费时间 */
	private java.util.Date endDate;
	
	/** 云教练预收 */
	private java.math.BigDecimal cloudPrice = BigDecimal.ZERO;
	
	/** 课程预收 */
	private java.math.BigDecimal coursePrice = BigDecimal.ZERO;

	/** 月底结算经营报表的标识，如果已经结算过，那么这条记录不会再修改 */
	private Boolean settlementFlag = false;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public Boolean getMonthFlag() {
		return monthFlag;
	}

	public void setMonthFlag(Boolean monthFlag) {
		this.monthFlag = monthFlag;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setOrganId(Integer organId){
		this.organId = organId;
	}
	
	public Integer getOrganId(){
		return this.organId;
	}

	public Long getCalenderId() {
		return calenderId;
	}

	public void setCalenderId(Long calenderId) {
		this.calenderId = calenderId;
	}

	public void setStartDate(java.util.Date startDate){
		this.startDate = startDate;
	}
	
	public java.util.Date getStartDate(){
		return this.startDate;
	}
			
	public void setEndDate(java.util.Date endDate){
		this.endDate = endDate;
	}
	
	public java.util.Date getEndDate(){
		return this.endDate;
	}
			
	public void setCloudPrice(java.math.BigDecimal cloudPrice){
		this.cloudPrice = cloudPrice;
	}
	
	public java.math.BigDecimal getCloudPrice(){
		return this.cloudPrice;
	}
			
	public void setCoursePrice(java.math.BigDecimal coursePrice){
		this.coursePrice = coursePrice;
	}
	
	public java.math.BigDecimal getCoursePrice(){
		return this.coursePrice;
	}

	public Boolean getSettlementFlag() {
		return settlementFlag;
	}

	public void setSettlementFlag(Boolean settlementFlag) {
		this.settlementFlag = settlementFlag;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
